//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 6 textures and 7 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 02/15/1999    (15.02.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
    finish { diffuse 0.4 ambient 0.3 specular 0.6 roughness 0.001 }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <    -33.325,    -104.942,      39.169>
  direction <        0.0,         0.0,      1.8317> // Aperture is 0.53 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      5.000,     -28.000,       0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <-0.000, 0.283, 99.308>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  TEXTURES  *******
//

#include "my-japan.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#declare HgtFld003 = object { 
  height_field {
    tga "C:\AV-Files\Animation\CURRENT\Soni\maps\stills\Nara-All.tga"
    water_level 0.5
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Glass
  }
  scale <20.0, 20.0, 1.5>
  rotate <60.0, 0.0, -20.0>
  translate  <19.733165, -39.176169, -0.109047>
}
union { // Group001
  object { HgtFld003 }
  text {   // TText001
    ttf      "C:\WINDOWS\Fonts\Matisse_.ttf",
    "Jeff's",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Gold_Metal
    }
    scale <6.0, 6.0, 0.2>
    rotate <60.0, 0.0, -20.0>
    translate  <14.794909, -37.565491, 3.140888>
  }

  text {   // TText002
    ttf      "C:\WINDOWS\Fonts\Bkant.ttf",
    "(Do not touch!)",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Silver_Texture
    }
    scale <2.0, 2.0, 0.2>
    rotate <60.0, 0.0, -20.0>
    translate  <14.321538, -39.938817, -3.439773>
  }

  translate  <-1.858464, 0.0, 2.555388>
}


sphere { // Sphere001
  <0,0,0>,1
  material {
    Carribean_Cloud_Sky
  }
  scale 250.0
}


object {   // HgtFld002
  height_field {
    tga "C:\AV-Files\Animation\CURRENT\Soni\maps\stills\Nara-All.tga"
    water_level 0.5
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    T_Stone23
  }
  scale 1.5
  translate  <4.83506, -27.488486, -0.109047>
}


object {   // HgtFld001
  height_field {
    tga "C:\AV-Files\Animation\CURRENT\Soni\maps\stills\Japan-All.tga"
    water_level 0.5
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    T_Stone15
  }
  scale <50.0, 50.0, 1.0>
}




